package com.ym.mec.biz.dal.dao;


import com.ym.mec.biz.dal.dto.SysMusicScoreMetronomeTranscod;
import com.ym.mec.biz.dal.dto.SysMusicScoreTranscod;
import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.biz.dal.entity.SysMusicScoreAccompaniment;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysMusicScoreDao extends BaseDAO<Integer, SysMusicScore> {

    List<SysMusicScore> findByIds(@Param("musicScoreIds") String musicScoreIds);

    int countBuyCategoriesIds(@Param("categoriesIds") String delCategoriesIds);

    SysMusicScoreTranscod getTranscod(@Param("sysMusicScoreId") Integer sysMusicScoreId);

    List<SysMusicScoreMetronomeTranscod> getMetronomeTranscod(@Param("sysMusicScoreId") Integer sysMusicScoreId);

    int updateAccompanimentBySongId(@Param("param") SysMusicScoreAccompaniment param);

}